##### 7.7.15.0. ndcond

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  ndcond();

Return:
  ideal

Purpose:
  compute the non-degeneracy conditions of the basering

Note:
  if `printlevel` > 0, the procedure displays intermediate information (by default, `printlevel`=0 )

Example:

    LIB "nctools.lib";
    ring r = (0,q1,q2),(x,y,z),dp;
    matrix C[3][3];
    C[1,2]=q2; C[1,3]=q1; C[2,3]=1;
    matrix D[3][3];
    D[1,2]=x; D[1,3]=z;
    def S = nc_algebra(C,D); setring S;
    S;
    ==> //   characteristic : 0
    ==> //   2 parameter    : q1 q2
    ==> //   minpoly        : 0
    ==> //   number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering C
    ==> //   noncommutative relations:
    ==> //    yx=(q2)*x*y+x
    ==> //    zx=(q1)*x*z+z
    ideal j=ndcond(); // the silent version
    j;
    ==> j[1]=(-q2+1)*y*z-z
    printlevel=1;
    ideal i=ndcond(); // the verbose version
    ==> Processing degree : 1
    ==> 1 . 2 . 3 .
    ==> failed: (-q2+1)*y*z-z
    ==> done
    i;
    ==> i[1]=(-q2+1)*y*z-z

User manual for Singular version 4-0-3, 2016, generated by texi2html.